Rs.AddClippingPlane() direction can not take negative values

I need to be able to set the clippingplane to the cplane and clipp what is “towards” me, but I can not set the “x-direction” to a negative value, can you add this please?
Or a “FlipClippingPlane” would do.

By default a clipping plane is pointing towards the user, and that is in the counter-intuitive direction IMO.

Just make sure you create a right-handed plane.

For example:

import rhinoscriptsyntax as rs

yaxis = (0,1,0)

origin0 = (1,1,0)
xaxis0 = (1,0,0)
plane0 = rs.PlaneFromFrame(origin0, xaxis0, yaxis)
rs.AddClippingPlane(plane0, 4, 4)

origin1 = (5,6,0)
xaxis1 = (-1,0,0)
plane1 = rs.PlaneFromFrame(origin1, xaxis1, yaxis)
rs.AddClippingPlane(plane1, 4, 4)

Thanks, setting up a mirror plane is the best workaround.

I still would like to see options to handle clippingplanes with scripts as they could be used on existing clippingplanes as well.

Thanks again!

I see that RhinoScript has ClippingPlaneDefinition and FlipClippingPlane methods that are not (yet) available in Python’s RhinoScriptSyntax. I’ve added them to the to-do list.

http://mcneel.myjetbrains.com/youtrack/issue/RH-29082

Thanks!